import React from 'react'
import lodash from 'lodash'
import { Button, FormControl } from 'react-bootstrap'

class ReactBootstrapFactory extends React.Component {
  render() {
    return this.props.items.map(this.renderComponent)
  }

  renderComponent(component) {
    let result = null
    switch(component.type) {
      case 'button':
        result = (<Button type="submit">Send invitation</Button>)
      case 'text':
        const props = _.pick(component, ['placeholder'])
        result = (<FormControl type="text" {...props} />)
    }

    return result
  }
}

export default ReactBootstrapFactory